import { CLIENT_CONFIG_FILE, PLUGIN_NAME } from './utils.js';
export const dynamicTitlePlugin = (options = {}) => (app) => {
    const { showIcon = '', showText = '(/≧▽≦/)咦！又好了！', hideIcon = '', hideText = '(●—●)喔哟, 崩溃啦！', recoverTime = 2000, } = options;
    const pluginObj = {
        name: PLUGIN_NAME,
        define: {
            __DYNAMIC_TITLE_SHOW_ICON__: showIcon,
            __DYNAMIC_TITLE_SHOW_TEXT__: showText,
            __DYNAMIC_TITLE_HIDE_ICON__: hideIcon,
            __DYNAMIC_TITLE_HIDE_TEXT__: hideText,
            __DYNAMIC_TITLE_RECOVER_TIME__: recoverTime, // The time to recover the title after the tab is changed.
        },
        clientConfigFile: CLIENT_CONFIG_FILE,
    };
    return pluginObj;
};
